<?php

declare(strict_types=1);

namespace LinkMobility\ShopwareSmsApiPlugin\Controller;

use LinkMobility\ShopwareSmsApiPlugin\Service\SmsSender;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

#[Route(defaults: ['_routeScope' => ['api']])]
class SendSmsController extends AbstractController
{
    public function __construct(private SmsSender $smsSender)
    {
    }

    #[Route(
        '/api/_action/link-mobility-shopware-sms-api-plugin/send-test-sms',
        name: 'api.action.link-mobility-shopware-sms-api-plugin-send-test-sms',
        methods: ['POST']
    )]
    public function sendTestSms(Request $request): Response
    {
        $phoneNumber = $request->request->get('phoneNumber');

        $this->smsSender->sendTestSms((int) $phoneNumber);

        return new JsonResponse([]);
    }
}
