<?php

declare(strict_types=1);

namespace LinkMobility\ShopwareSmsApiPlugin\Core\Content\Flow\Subscriber;

use LinkMobility\ShopwareSmsApiPlugin\Core\Framework\Event\SmsApiAware;
use Shopware\Core\Framework\Event\BusinessEventCollectorEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class BusinessEventCollectorSubscriber implements EventSubscriberInterface
{
    public static function getSubscribedEvents()
    {
        return [
            BusinessEventCollectorEvent::NAME => 'addSmsApiAware',
        ];
    }

    public function addSmsApiAware(BusinessEventCollectorEvent $event): void
    {
        foreach ($event->getCollection()->getElements() as $definition) {
            $className = \explode('\\', SmsApiAware::class);
            $definition->addAware(\lcfirst(\end($className)));
        }
    }
}
