<?php

declare(strict_types=1);

namespace LinkMobility\ShopwareSmsApiPlugin\Extractor;

use Shopware\Core\Checkout\Customer\CustomerEntity;

class CustomerParameterExtractor implements CustomerParameterExtractorInterface
{
    public function extract(CustomerEntity $customer): array
    {
        return  [
            'customer_first_name' => $customer->getFirstName(),
            'customer_last_name' => $customer->getLastName(),
            'customer_number' => $customer->getCustomerNumber(),
            'customer_last_order_date' => $customer->getLastOrderDate()?->format('Y-m-d'),
        ];
    }
}
