<?php

declare(strict_types=1);

namespace LinkMobility\ShopwareSmsApiPlugin\Extractor;

use Shopware\Core\Checkout\Order\OrderEntity;

class OrderParametersExtractor implements OrderParametersExtractorInterface
{
    public function extract(OrderEntity $order): array
    {
        $customer = $order->getOrderCustomer()?->getCustomer();

        return  [
            'customer_first_name' => $customer?->getFirstName(),
            'customer_last_name' => $customer?->getLastName(),
            'customer_number' => $customer?->getCustomerNumber(),
            'order_number' => $order->getOrderNumber(),
            'order_price_total' => $order->getAmountTotal(),
            'order_currency' => $order->getCurrency()?->getName(),
            'order_status' => $order->getStateMachineState()?->getName(),
            'order_price_net' => $order->getAmountNet(),
            'order_tax' => $order->getAmountTotal() - $order->getAmountNet(),
            'order_country' => $order->getDeliveries()?->getShippingAddress()?->getCountries()?->first()?->getName(),
        ];
    }
}
