<?php

declare(strict_types=1);

namespace LinkMobility\ShopwareSmsApiPlugin\Factory;

use League\OAuth2\Client\Provider\GenericProvider;
use Symfony\Component\Routing\Generator\UrlGeneratorInterface;

final class GenericProviderFactory implements GenericProviderFactoryInterface
{
    public function __construct(private UrlGeneratorInterface $router)
    {
    }

    public function create(): GenericProvider
    {
        $redirectUri = $this->router->generate(
            'api.action.link-mobility-shopware-sms-api-plugin-access',
            [],
            UrlGeneratorInterface::ABSOLUTE_URL
        );

        return new GenericProvider([
            'clientId' => 'lX0tehug2qW1F3cpaOaavMeWmKO6jjEuTLIMiGq2',
            'pkceMethod' => GenericProvider::PKCE_METHOD_S256,
            'redirectUri' => $redirectUri,
            'urlAuthorize' => 'https://oauth.smsapi.io',
            'urlAccessToken' => 'https://oauth.smsapi.io/api/oauth/token',
            'urlResourceOwnerDetails' => 'https://oauth.smsapi.io/user',
        ]);
    }
}
