<?php

declare(strict_types=1);

namespace LinkMobility\ShopwareSmsApiPlugin\Factory;

use GuzzleHttp\Client;
use LinkMobility\ShopwareSmsApiPlugin\Service\TokenCacheAdapter;

class SmsApiClientFactory implements SmsApiClientFactoryInterface
{
    public function __construct(private TokenCacheAdapter $tokenCacheAdapter)
    {
    }

    public function create(): Client
    {
        return new Client([
            'base_uri' => 'https://smsapi.io/',
            'headers' => $this->getClientConfig(),
        ]);
    }

    private function getClientConfig(): array
    {
        $token = $this->tokenCacheAdapter->getToken();

        return [
            'Authorization' => 'Bearer ' . $token,
            'Accept' => 'application/json',
        ];
    }
}
