<?php

declare(strict_types=1);

namespace LinkMobility\ShopwareSmsApiPlugin\Factory;

use LinkMobility\ShopwareSmsApiPlugin\Model\Sms;

class SmsFactory implements SmsFactoryInterface
{
    public function createNew(): Sms
    {
        return new Sms();
    }

    public function createComplete(
        string $phoneNumber,
        string $from,
        string $message
    ): Sms {
        $sms = $this->createNew();
        $sms->setFrom($from);
        $sms->setTo($phoneNumber);
        $sms->setMessage($message);

        return $sms;
    }
}
