<?php

declare(strict_types=1);

namespace LinkMobility\ShopwareSmsApiPlugin\Migration;

use Doctrine\DBAL\Connection;
use Shopware\Core\Framework\Migration\MigrationStep;

class Migration1674113616 extends MigrationStep
{
    public function getCreationTimestamp(): int
    {
        return 1674113616;
    }

    public function update(Connection $connection): void
    {
        $sql = <<<SQL
        CREATE TABLE IF NOT EXISTS `link_mobility_back_in_stock_reminder` (
            `id` BINARY(16) NOT NULL,
            `phone_number` VARCHAR(25) COLLATE utf8mb4_unicode_ci,
            `product_id` BINARY(16),            
            `created_at` DATETIME(3) NOT NULL,
            `updated_at` DATETIME(3),
            PRIMARY KEY (`id`),
            
            KEY `fk.link_mobility_back_in_stock_reminder.product_id` (`product_id`),
            CONSTRAINT `fk.link_mobility_back_in_stock_reminder.product_id` FOREIGN KEY (`product_id`)
                REFERENCES  `product` (`id`) ON DELETE RESTRICT ON UPDATE CASCADE

        )
            ENGINE = InnoDB
            DEFAULT CHARSET = utf8mb4
            COLLATE = utf8mb4_unicode_ci;
        SQL;

        $connection->executeStatement($sql);
    }

    public function updateDestructive(Connection $connection): void
    {
        // implement update destructive
    }
}
