<?php

declare(strict_types=1);

namespace LinkMobility\ShopwareSmsApiPlugin\Model;

class Sms
{
    private string $to;

    private string $from;

    private string $message;

    public function getTo(): string
    {
        return $this->to;
    }

    public function getFrom(): string
    {
        return $this->from;
    }

    public function setFrom(string $from): void
    {
        $this->from = $from;
    }

    public function getMessage(): string
    {
        return $this->message;
    }

    public function setMessage(string $message): void
    {
        $this->message = $message;
    }

    public function setTo(string $to): void
    {
        $this->to = $to;
    }

    public function toArray(): array
    {
        return [
            'message' => $this->message,
            'to' => $this->to,
            'from' => $this->from,
            'encoding' => 'utf-8',
            'format' => 'json',
        ];
    }
}
