import template from './link-mobility-shopware-sms-api-plugin-settings-base.html.twig';

Shopware.Component.register('link-mobility-shopware-sms-api-plugin-settings-base', {
    template,
    inject: [
        'linkMobilityShopwareSmsApiPluginAuthService',
        'systemConfigApiService'
    ],
    mixins: ['notification'],
    methods: {
        async authorizeSmsApi() {
            const response = await this.linkMobilityShopwareSmsApiPluginAuthService.authorize();
            window.location.replace(response.data.redirectUrl);
        },
        saveSystemConfig() {
            this.$refs.systemConfig.saveAll();
            this.$refs.systemConfig2.saveAll();
            this.createNotificationSuccess({message: this.$tc('link-mobility-shopware-sms-api-plugin.saved')});
        },
        sendTestMessage() {
           this.linkMobilityShopwareSmsApiPluginAuthService.sendMessage(this.phoneNumber).then((response) => {
               this.createNotificationSuccess({
                   message: this.$tc('link-mobility-shopware-sms-api-plugin.smsSend')
               });
            }).catch((error) => {
               this.createNotificationError({
                   message: this.$tc('link-mobility-shopware-sms-api-plugin.exceptionMessage')
               });
            });
        },
    },
    data() {
        return {
            isLoading: true,
            pluginDomain: 'LinkMobilityShopwareSmsApiPlugin.smsapi',
            customerAware: 'LinkMobilityShopwareSmsApiPlugin.productAware',
            phoneNumber: '',
        }
    },
    created() {
        const systemConfig = this.$refs.systemConfig;
        this.isLoading = false;
    }
});
