import template from './send-sms-action-modal.html.twig';
const { Component } = Shopware;

Component.register('send-sms-action-modal', {
    template,

    props: {
        sequence: {
            type: Object,
            required: true,
        },
    },

    data() {
        return {
            smsContent: '',
            notifyMe: false,
            ownerPhoneNumber: ''
        };
    },

    created() {
        this.createdComponent();
    },

    methods: {
        createdComponent() {
            this.smsContent = this.sequence?.config?.smsContent || '';
            this.notifyMe = this.sequence?.config?.notifyMe || false;
            this.ownerPhoneNumber = this.sequence?.config?.ownerPhoneNumber || '';
        },

        onClose() {
            this.$emit('modal-close');
        },

        onAddAction() {
            const sequence = {
                ...this.sequence,
                config: {
                    ...this.config,
                    smsContent: this.smsContent,
                    notifyMe: this.notifyMe,
                    ownerPhoneNumber: this.ownerPhoneNumber
                },
            };

            this.$emit('process-finish', sequence);
        },
    },
    computed: {
        options() {
            return [
               {
                    value: false,
                    name: this.$tc('link-mobility-shopware-sms-api-plugin.flowModal.notifyCustomers'),

                }, {
                    value: true,
                    name: this.$tc('link-mobility-shopware-sms-api-plugin.flowModal.notifyMe'),
                },
            ];
        },
    }
});
