import { ACTION } from '../../constant/flow-action.constant';

const { Component } = Shopware;

Component.override('sw-flow-sequence-action', {
    computed: {
        modalName() {
            if (this.selectedAction === ACTION.SEND_SMS_ACTION) {
                return 'send-sms-action-modal';
            }

            return this.$super('modalName');
        },

        actionDescription() {
            const actionDescriptionList = this.$super('actionDescription');

            return {
                ...actionDescriptionList,
                [ACTION.SEND_SMS_ACTION] : (_) => this.$tc('link-mobility-shopware-sms-api-plugin.flowModal.sendSmsTittle'),
            };
        },
    },

    methods: {
        getActionTitle(actionName) {
            if (actionName === ACTION.SEND_SMS_ACTION) {
                return {
                    value: actionName,
                    icon: 'default-badge-help',
                    label: this.$tc('link-mobility-shopware-sms-api-plugin.flowModal.sendSmsTittle'),
                }
            }

            return this.$super('getActionTitle', actionName);
        },
    },
});
