const {ApiService} = Shopware.Classes;

export default class LinkMobilityShopwareSmsApiPluginAuthService extends ApiService {
    constructor(httpClient, loginService, apiEndpoint = '') {
        super(httpClient, loginService, apiEndpoint);
    }

    async authorize() {
        const route = `${this.getApiBasePath()}/_action/link-mobility-shopware-sms-api-plugin/authorize`;

        return await this.httpClient.get(route, {
            headers: this.getBasicHeaders(),
        })
    }

    async sendMessage(phoneNumber) {
        const route = `${this.getApiBasePath()}/_action/link-mobility-shopware-sms-api-plugin/send-test-sms`;
        return await this.httpClient.post(route, { phoneNumber }, {
                headers: this.getBasicHeaders(),
            },
        )
    }
}
