<?php

declare(strict_types=1);

namespace LinkMobility\ShopwareSmsApiPlugin\Service;

use LinkMobility\ShopwareSmsApiPlugin\Factory\SmsApiClientFactory;
use Psr\Http\Message\ResponseInterface;

class SmsApiService implements SmsApiServiceInterface
{
    public function __construct(private SmsApiClientFactory $smsApiClientFactory)
    {
    }

    public function request(
        string $url,
        string $method,
        array $data = []
    ): ResponseInterface {
        return $this->smsApiClientFactory->create()->request($method, $url, $data);
    }
}
