<?php

declare(strict_types=1);

namespace LinkMobility\ShopwareSmsApiPlugin\Service;

use Shopware\Core\Checkout\Customer\CustomerEntity;
use Shopware\Core\Checkout\Order\OrderEntity;
use Shopware\Core\Content\Product\ProductEntity;

interface SmsSenderInterface
{
    public function sendTestSms(int $phoneNumber): void;

    public function sendOrderStateChanged(
        OrderEntity $order,
        string $phoneNumber,
        string $rawSms
    ): void;

    public function sendProductAware(
        ProductEntity $product,
        string $phoneNumber,
        string $rawSms
    ): void;

    public function sendCustomerAware(
        CustomerEntity $customer,
        string $phoneNumber,
        string $rawSms
    ): void;
}
