<?php

declare(strict_types=1);

namespace LinkMobility\ShopwareSmsApiPlugin\Service;

use League\OAuth2\Client\Token\AccessToken;
use League\OAuth2\Client\Token\AccessTokenInterface;
use LinkMobility\ShopwareSmsApiPlugin\LinkMobilityShopwareSmsApiPlugin;
use Symfony\Component\Cache\Adapter\TraceableAdapter;

class TokenCacheAdapter implements TokenCacheAdapterInterface
{
    public const LINK_MOBILITY_SHOPWARE_SMS_API_PLUGIN = LinkMobilityShopwareSmsApiPlugin::class . '.oauthToken';

    public function __construct(private TraceableAdapter $adapter)
    {
    }

    public function save(AccessTokenInterface $accessToken): void
    {
        $cacheKey = self::LINK_MOBILITY_SHOPWARE_SMS_API_PLUGIN;
        $cachedToken = $this->adapter->getItem($cacheKey);
        $cachedToken->set($accessToken);
        $this->adapter->save($cachedToken);
    }

    public function getToken(): ?AccessToken
    {
        $cacheKey = self::LINK_MOBILITY_SHOPWARE_SMS_API_PLUGIN;
        $cachedToken = $this->adapter->getItem($cacheKey);

        return $cachedToken->get();
    }
}
